%define major 0
%define libname		%mklibname mbim %{major}
%define develname	%mklibname mbim -d

Name:       libmbim
Version:    1.6.0
Release:    %mkrel 1
Summary:    MBIM modem protocol helper library
License:    GPLv2
Group:      System/Libraries
URL:        http://cgit.freedesktop.org/libmbim/libmbim/
Source:     http://www.freedesktop.org/software/libmbim/libmbim-%version.tar.xz
#--------------------------------------
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: gtk-doc
#--------------------------------------

%description
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.
This package contains MBIM shared libraries.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release} 
Provides:	mbim-devel = %{version}-%{release}

%description -n	%{develname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.
This package contains MBIM header files and development libraries.

%package utils
Summary:    MBIM command line utilities
License:    GPLv2
Group:      System/Libraries

%description utils
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.
This package contains MBIM command line utilities.

%prep
%setup -q
./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%_libdir/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/*

%files utils
%defattr(-,root,root)
%_bindir/mbimcli
%_bindir/mbim-network
%_mandir/man1/mbimcli.1*
%_mandir/man1/mbim-network.1*

%clean
rm -rf %{buildroot}

%changelog
* Sat Jan 25 2014 bb <bb> 1.6.0-1pclos2014
- import into pclos for telepathy packages
